ServerEvents.recipes((event) => {
    event
      .shaped("comforts:sleeping_bag_green", [
        " A ", 
        "BBB", 
        " A "
      ], 
      {
        A: "farmersdelight:canvas",
        B: "regions_unexplored:maple_leaf_pile"
      })
      .id("comforts:sleeping_bag_green_from_leaf_pile");

    event
      .shaped("comforts:sleeping_bag_red", [
        " A ", 
        "BBB", 
        " A "
      ], 
      {
        A: "farmersdelight:canvas",
        B: "regions_unexplored:red_maple_leaf_pile"
      })
      .id("comforts:sleeping_bag_red_from_leaf_pile");

    event
      .shaped("comforts:sleeping_bag_orange", [
        " A ", 
        "BBB", 
        " A "
      ], 
      {
        A: "farmersdelight:canvas",
        B: "regions_unexplored:orange_maple_leaf_pile"
      })
      .id("comforts:sleeping_bag_orange_from_leaf_pile");

    event
      .shaped("comforts:sleeping_bag_light_blue", [
        " A ", 
        "BBB", 
        " A "
      ], 
      {
        A: "farmersdelight:canvas",
        B: "regions_unexplored:enchanted_birch_leaf_pile"
      })
      .id("comforts:sleeping_bag_light_blue_from_leaf_pile");

    event
      .shaped("comforts:sleeping_bag_yellow", [
        " A ", 
        "BBB", 
        " A "
      ], 
      {
        A: "farmersdelight:canvas",
        B: "regions_unexplored:silver_birch_leaf_pile"
      })
      .id("comforts:sleeping_bag_yellow_from_leaf_pile");

    global.colors.forEach((color) => {
      event
        .shaped(`comforts:sleeping_bag_${color}`, [
          "AB"
        ], 
        {
          A: "#minecraft:wool",
          B: `handcrafted:${color}_sheet`
        })
        .id(`comforts:sleeping_bag_${color}`);
    });
});